#!/bin/sh

if [ -n "$1" ] ; then
    prog="$1"
    dir="rfc2074.d"
else
    prog="lexer"
    dir="."
    rm -f $prog
    make -s $prog
fi

if [ -n "$2" ] ; then
    dir="$2"
else
    dir="."
fi

if [ ! -x $prog ]; then
    echo "$prog is not an executable"
else
    for msg in $dir/msg.?.txt ; do
	nam=$dir/`basename $msg .txt`
	$prog -p < $msg > $nam.tmp
	diff -u -s $nam.out $nam.tmp
    done
fi

